# Namespace webdriver.http

code »

## Interfaces

webdriver.http.Client
  Interface used for sending individual HTTP requests to the server.

## Classes

webdriver.http.CorsClient
  Communicates with a WebDriver server, which may be on a different domain, using the cross-origin resource sharing (CORS) extension to WebDriver's JSON wire protocol.
webdriver.http.Executor
  A command executor that communicates with a server using the WebDriver command protocol.
webdriver.http.Request
  Describes a partial HTTP request.
webdriver.http.Response
  Represents a HTTP response.
webdriver.http.XhrClient
  A HTTP client that sends requests using XMLHttpRequests.

Show:PublicProtectedPrivate

## Global Functions

code » webdriver.http.headersToString_ ( headers ) ⇒ `string`

Converts a headers object to a HTTP header block string.

Parameters

headers: `!Object.<string>`
  The headers object to convert.

Returns

The headers as a string.